tls_engine

March 26, 2020 Contributors

Name

tls_engine — specify the TLS library to use

Synopsis

TLS_Engine = "openssl|gnutls"

Description

**Configuration Change. ** Support for GNUTLS is available as of version 4.1 for SMTP reception and SMTP deliveries only.

If TLS is set to required or ifavailable, this option specifies whether to use OpenSSL or GNUTLS. This option cannot be changed at runtime. The ecelerity service must be restarted.

This option can be set to the following:

  • openssl – OpenSSL is used. The following components support OpenSSL:

    • HTTP listener (including REST APIs)

    • XMPP listener

  • gnutls – GNU Transport Layer Security is used. The following components support GNUTLS:

    • ESMTP listener (SMTP reception)

    • SMTP deliveries

The default value is openssl.

Scope

tls_engine is valid in the global scope.